#ifndef _TESTAPP_CPP
#define _TESTAPP_CPP
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <Windows.H>
#include <Stdio.H>
#include <Stdlib.H>

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include "../CIntegerStack.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

int main(void)
{
	CIntegerStack MyStack;

	int iInteger = 0;

	//Initialize the stack.
	MyStack.Init(10);

	//Push a few items onto the stack.
	MyStack.Push(5);
	MyStack.Push(4);
	MyStack.Push(6);
	MyStack.Push(9);
	MyStack.Push(1);

	//Loop through and pull the items back off the stack.
	while(MyStack.Pop(&iInteger))
	{
		printf("Stack: %d\n", iInteger);
	}

	//Clean things up.
	MyStack.Destroy();

	system("Pause");

	return 0;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif

